--------------------------------------------------------------------------------
-- Copyright  2021								|
-- All Rights Reserved.								|
-- 										|
-- Permission to use, copy, modify, and distribute this software in any way	|
-- is not granted without expressed written agreement. This copyright applies	|
-- to the all code, data and artwork related to this project and all associated	|
-- projects published by the author.						|
--										|
-- More information on copyright is available from sources on-line.		|
-- Use an actual factual one!							|
--------------------------------------------------------------------------------

local _, NS = ...

local AddonName = "RaidFrames1"

local addons = { "Blizzard_CompactRaidFrames", "Blizzard_CUFProfiles" }

local function AssignRaidFrames(reset)
	local Settings = NS:GetSettings("Addons")
	if not Settings.RaidFrames1 then
		Settings.RaidFrames1 = {}
	end
	Settings = NS:GetSettings("Profile")
	if not Settings.RAIDFRAMES1 then
		Settings.RAIDFRAMES1 = {}
	end
	Settings = NS:GetSettings("RaidFrames1")
	local FauxMazzle = NS:LoadSettingsRaidFrames()
	table.wipe(Settings)
	NS.Lib:CopyTable(FauxMazzle, Settings)
	for k, v in pairs(addons) do
		DisableAddOn(v)
	end
end

local function ConfigureFrames(reset) -- do nothng but should add for AssignRaidFrames to run Addons "reset" list
end
local function RaidFrameEnable(inactive)
	local Settings = NS:GetSettings("RaidFrames1")
	for k, v in pairs(addons) do
		if inactive then
			EnableAddOn(v) -- enable default if FM frames disabled
		else
			if Settings.blizzardframes then
				EnableAddOn(v)
			else
				DisableAddOn(v)
			end
			
		end
	end
end

NS:AddConfig(3, AddonName, "Raid Frames", ConfigureFrames, AssignRaidFrames, nil, RaidFrameEnable)
